#include "pch.h"
#include "GroundTileTypeManager.h"

#include "GridSystem/WorldTile.h"

GroundTileTypeManager* GroundTileTypeManager::m_pInstance = nullptr;

GroundTileTypeManager* GroundTileTypeManager::GetInstance() {
	if (m_pInstance == nullptr) {
		m_pInstance = new GroundTileTypeManager();
	}
	return m_pInstance;	
}
void GroundTileTypeManager::DestroyInstance() {
}
GroundTileTypeManager::GroundTileTypeManager(): AIR(new GroundTileType("", GroundTileTypes::Air)), DIRT(new RandomGroundTile("tiles/dirt/dirt[0].png", GroundTileTypes::Dirt, 5)){
}
// void GroundTileTypeManager::Initialize() {
	// AIR = new GroundTileType("", GroundTileTypes::Air);
// }
GroundTileTypeManager::~GroundTileTypeManager() {
}
